×
INTELLIGENT WORK FORUMS
FOR ENGINEERING PROFESSIONALS

Contact US

Log In

Come Join Us!

Are you an
Engineering professional?
Join Eng-Tips Forums!
  • Talk With Other Members
  • Be Notified Of Responses
    To Your Posts
  • Keyword Search
  • One-Click Access To Your
    Favorite Forums
  • Automated Signatures
    On Your Posts
  • Best Of All, It's Free!

*Eng-Tips's functionality depends on members receiving e-mail. By joining you are opting in to receive e-mail.

Posting Guidelines

Promoting, selling, recruiting, coursework and thesis posting is forbidden.

Students Click Here

Select cylindrical face with symbolic thread

Select cylindrical face with symbolic thread

Select cylindrical face with symbolic thread

(OP)
Hello,

Is there any way to select cylindrical faces but only the ones which has symbolic thread added?

With best regards
Michael

RE: Select cylindrical face with symbolic thread

Do you want the code to automatically find and process these faces or are you looking for an interactive selection that limits the selection to faces with symbolic thread attached?

If you want the code to automatically find the faces, something like this may work.

If you want an interactive selection filtered for specific faces, it could be accomplished with the "SelectWithClassDialog" method.

www.nxjournaling.com

RE: Select cylindrical face with symbolic thread

(OP)
Thanks @Cowski, this is what I've been looking for. My old code was long and it wasn't process cylindrical face from unparametrised body, that's why I was looking for tweak it out.

below is my code, maybe it will be useful for someone.

CODE

Option Strict Off

Imports System
Imports System.Collections.Generic
Imports NXOpen
Imports NXOpen.UF
 
Module Module1
 
	Dim theSession As Session = Session.GetSession()
	Dim theUfSession As UFSession = UFSession.GetUFSession()
	Dim workPart As Part = theSession.Parts.Work
	Dim lw As ListingWindow = theSession.ListingWindow
	Dim displayModification1 As DisplayModification
	Dim facecolor as integer = 160
	
	Sub Main()
 
		lw.Open()
  
		Dim threadFeatures As New List(Of Features.Feature)
		Dim threadFaces As New List(Of Face)
 
		For Each myFeature As Features.Feature In workPart.Features
		
			If myFeature.FeatureType.ToUpper = "SYMBOLIC_THREAD" Then
			
				threadFeatures.Add(myFeature)
				
			End If
			
		Next
 
		Dim myThreadParameters As UFModl.SymbThreadData
		
		For Each myFeature As Features.Feature In threadFeatures
 
			theUfSession.Modl.AskSymbThreadParms(myFeature.Tag, myThreadParameters)
			Dim threadedFace As Face
			threadedFace = Utilities.NXObjectManager.Get(myThreadParameters.cyl_face)
 
			threadFaces.Add(threadedFace)
  
		Next
 
 
		displayModification1 = theSession.DisplayManager.NewDisplayModification()
		
		With displayModification1
		
			.ApplyToAllFaces = False
			.NewColor = facecolor
			.Apply(threadFaces.toarray)
			.Dispose()

		End With
	 
		lw.Close()
 
	End Sub
 
End Module 

With best regards
Michael

Red Flag This Post

Please let us know here why this post is inappropriate. Reasons such as off-topic, duplicates, flames, illegal, vulgar, or students posting their homework.

Red Flag Submitted

Thank you for helping keep Eng-Tips Forums free from inappropriate posts.
The Eng-Tips staff will check this out and take appropriate action.

Reply To This Thread

Posting in the Eng-Tips forums is a member-only feature.

Click Here to join Eng-Tips and talk with other members! Already a Member? Login


Resources

Low-Volume Rapid Injection Molding With 3D Printed Molds
Learn methods and guidelines for using stereolithography (SLA) 3D printed molds in the injection molding process to lower costs and lead time. Discover how this hybrid manufacturing process enables on-demand mold fabrication to quickly produce small batches of thermoplastic parts. Download Now
Design for Additive Manufacturing (DfAM)
Examine how the principles of DfAM upend many of the long-standing rules around manufacturability - allowing engineers and designers to place a part’s function at the center of their design considerations. Download Now
Taking Control of Engineering Documents
This ebook covers tips for creating and managing workflows, security best practices and protection of intellectual property, Cloud vs. on-premise software solutions, CAD file management, compliance, and more. Download Now

Close Box

Join Eng-Tips® Today!

Join your peers on the Internet's largest technical engineering professional community.
It's easy to join and it's free.

Here's Why Members Love Eng-Tips Forums:

Register now while it's still free!

Already a member? Close this window and log in.

Join Us             Close